#include<bits/stdc++.h>
using namespace std;
int x[1000001];
int y[1000001];
int a[1000001];
int b[1000001];
int msa[1000001];
int ms2a[1000001];
int mta[1000001];
int mfa[1000001];
int sa(int k){
    if(k==1){
        return a[1];
    }
    if(k==0){
        return 0;
    }
    if(msa[k]!=0){
        return msa[k];
    }
    msa[k]=sa(k-1)+k*a[k];
    return msa[k];
}
int s2a(int k){
    if(k==1){
        return sa(k-1)*2*a[k];
    }
    if(ms2a[k]!=0){
        return ms2a[k];
    }
    ms2a[k]=s2a(k-1)+sa(k-1)*2*a[k];
    return ms2a[k];
}
int ta(int k){
    if(k==1){
        return a[1]*a[1];
    }
    if(mta[k]!=0){
        return mta[k];
    }
    mta[k]=ta(k-1)+k*a[k]*a[k];
    return mta[k];
}
int fa(int k){
    if(k==1){
        return a[k]*a[k];
    }
    if(mfa[k]!=0){
        return mfa[k];
    }
    mfa[k]=fa(k-1) + ta(k) + s2a(k);
    return mfa[k];
}


























int msb[1000001];
int ms2b[1000001];
int mtb[1000001];
int mfb[1000001];
int sb(int k){
    if(k==1){
        return b[1];
    }
    if(k==0){
        return 0;
    }
    if(msb[k]!=0){
        return msb[k];
    }
    msb[k]=sb(k-1)+k*b[k];
    return msb[k];
}
int s2b(int k){
    if(k==1){
        return sb(k-1)*2*b[k];
    }
    if(ms2b[k]!=0){
        return ms2b[k];
    }
    ms2b[k]=s2b(k-1)+sb(k-1)*2*b[k];
    return ms2b[k];
}
int tb(int k){
    if(k==1){
        return b[1]*b[1];
    }
    if(mtb[k]!=0){
        return mtb[k];
    }
    mtb[k]=tb(k-1)+k*b[k]*b[k];
    return mtb[k];
}
int fb(int k){
    if(k==1){
        return b[k]*b[k];
    }
    if(mfb[k]!=0){
        return mfb[k];
    }
    mfb[k]=fb(k-1) + tb(k) + s2b(k);
    return mfb[k];
}
int main(){
    int n;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>x[i]>>y[i];
    }
    sort(x,x+n);
    sort(y,y+n);
    for(int i=1;i<n;i++){
        a[i]=x[i]-x[i-1];
        b[i]=y[i]-y[i-1];
    }
    /*for(int i=1;i<n;i++){
        cout<<sa(i)<<" ";
    }
    */
    //cout<<ta(1)<<" "<<fa(1)<<endl;
    cout<<fa(n-1)+fb(n-1);
    /*for(int i=2;i<n;i++){
        //cout<<s2a(i)<<" "<<ta(i)<<" "<<fa(i)<<endl;
        cout<<fa(i)<<" "<<fb(i)<<endl;
    }
    */
    //sort(b,b+n);
return 0;
}

